﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks; 

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            IEnumerable<int> enumerable = new List<int> { 10, 20, 30, 40, 50 }; 

            Parallel.ForEach(enumerable, value => Calculate(value)); 

            Console.ReadKey(false);
        }

        #endregion

        #region 계산하기 - Calculate(value)

        /// <summary>
        /// 계산하기
        /// </summary>
        /// <param name="value">값</param>
        private static void Calculate(int value)
        {
            Console.WriteLine(value * 2);
        }

        #endregion
    }
}